Page MenuHomePhabricator

Cannot start oabot: ImportError: liblua5.1.so.0 (due to migration from Trusty to Stretch)
Closed, ResolvedPublic

Description

It gave error 502 even after restart, now after webservice stop/start it's a 404.

*** Starting uWSGI 2.0.7-debian (64bit) on [Mon Feb 11 12:49:57 2019] ***
compiled with version: 4.9.2 on 17 March 2018 15:40:38
os: Linux-4.9.0-0.bpo.6-amd64 #1 SMP Debian 4.9.88-1+deb9u1~bpo8+1 (2018-05-13)
nodename: oabot-2352645756-xt4z8
machine: x86_64
clock source: unix
pcre jit disabled
detected number of CPU cores: 4
current working directory: /data/project/oabot
detected binary path: /usr/bin/uwsgi-core
your memory page size is 4096 bytes
detected max file descriptor number: 65536
building mime-types dictionary from file /etc/mime.types...547 entry found
lock engine: pthread robust mutexes
thunder lock: disabled (you can enable it with --thunder-lock)
uwsgi socket 0 bound to TCP address :8000 fd 3
Python version: 2.7.9 (default, Sep 25 2018, 20:46:16)  [GCC 4.9.2]
Set PythonHome to /data/project/oabot/www/python/venv
*** Python threads support is disabled. You can enable it with --enable-threads ***
Python main interpreter initialized at 0x136e490
your server socket listen backlog is limited to 100 connections
your mercy for graceful operations on workers is 60 seconds
mapped 363840 bytes (355 KB) for 4 cores
*** Operational MODE: preforking ***
mounting /data/project/oabot/www/python/src/app.py on /oabot
Traceback (most recent call last):
  File "/data/project/oabot/www/python/src/app.py", line 41, in <module>
    from oabot import main
  File "./oabot/main.py", line 3, in <module>
    from wikiciteparser.parser import parse_citation_template
  File "/data/project/oabot/www/python/venv/local/lib/python2.7/site-packages/wikiciteparser/parser.py", line 6, in <module>
    import lupa
  File "/data/project/oabot/www/python/venv/local/lib/python2.7/site-packages/lupa-1.3-py2.7-linux-x86_64.egg/lupa/__init__.py", line 31, in <module>
    from lupa._lupa import *
ImportError: liblua5.1.so.0: cannot open shared object file: No such file or directory

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2019, 12:52 PM
Nemo_bis edited projects, added OABot; removed Tools.Feb 11 2019, 12:53 PM

The ImportError makes me assume this is related to https://wikitech.wikimedia.org/wiki/News/Toolforge_Trusty_deprecation - @Pintoch did you start migrating the project to stretch yet?

@Samwalton9 yes that is due to me starting the migration… and not completing it yet!

Any help with finishing the migration is welcome of course, I am currently busy with dissemin but I will try to come back to this at some point.

Aklapper renamed this task from Cannot start oabot: ImportError: liblua5.1.so.0 to Cannot start oabot: ImportError: liblua5.1.so.0 (due to migration from Trusty to Stretch).Mar 2 2019, 5:30 PM
Reedy edited projects, added Tools; removed OABot.Mar 2 2019, 5:32 PM
Pintoch edited projects, added OABot; removed Tools.Mar 10 2019, 1:58 PM
Pintoch closed this task as Resolved.
Pintoch claimed this task.